Bug 701224 - [abrt] virtaal-0.7.0-0.6.beta5.fc15: virtaal:190:get_virtaal_runner:AttributeError: Values instance has no attribute 'profile'
Summary: [abrt] virtaal-0.7.0-0.6.beta5.fc15: virtaal:190:get_virtaal_runner:Attribute...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virtaal
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dwayne Bailey
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:92493a5ee638f1f6a46890601ba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-02 07:22 UTC by Elad Alfassa
Modified: 2011-05-25 02:31 UTC (History)
1 user (show)

Fixed In Version: virtaal-0.7.0-0.8.rc1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-25 02:31:50 UTC


Attachments (Terms of Use)
File: backtrace (721 bytes, text/plain)
2011-05-02 07:22 UTC, Elad Alfassa
no flags Details

Description Elad Alfassa 2011-05-02 07:22:41 UTC
abrt version: 2.0.1
executable: /usr/bin/virtaal
component: virtaal
package: virtaal-0.7.0-0.6.beta5.fc15
kernel: 2.6.38.3-18.fc15.x86_64
reason: virtaal:190:get_virtaal_runner:AttributeError: Values instance has no attribute 'profile'
architecture: x86_64
uid: 500
username: elad
os_release: Fedora release 15 (Lovelock)
time: 1303638134

comment
-----
Open a PO file.
Starting virtaal without a file and then opening a PO file works, but eg. virtaal something.po crashes.

backtrace
-----
virtaal:190:get_virtaal_runner:AttributeError: Values instance has no attribute 'profile'

Traceback (most recent call last):
  File "/usr/bin/virtaal", line 199, in <module>
    main(sys.argv)
  File "/usr/bin/virtaal", line 195, in main
    runner = get_virtaal_runner(options)
  File "/usr/bin/virtaal", line 190, in get_virtaal_runner
    if options and options.profile != None:
AttributeError: Values instance has no attribute 'profile'

Local variables in innermost frame:
parser: <optparse.OptionParser instance at 0x10ea488>
profile_runner: <function profile_runner at 0x11081b8>
default_runner: <function default_runner at 0x1108230>
options: <Values at 0x10ead40: {'debug': False, 'config': None, 'log': None}>

Comment 1 Elad Alfassa 2011-05-02 07:22:44 UTC
Created attachment 496172 [details]
File: backtrace

Comment 2 Fedora Update System 2011-05-10 08:53:18 UTC
virtaal-0.7.0-0.7.beta5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/virtaal-0.7.0-0.7.beta5.fc15

Comment 3 Fedora Update System 2011-05-11 05:49:43 UTC
Package virtaal-0.7.0-0.7.beta5.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virtaal-0.7.0-0.7.beta5.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/virtaal-0.7.0-0.7.beta5.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-05-20 09:43:24 UTC
virtaal-0.7.0-0.8.rc1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/virtaal-0.7.0-0.8.rc1.fc15

Comment 5 Fedora Update System 2011-05-20 09:55:36 UTC
virtaal-0.7.0-0.8.rc1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/virtaal-0.7.0-0.8.rc1.fc15

Comment 6 Fedora Update System 2011-05-25 02:31:45 UTC
virtaal-0.7.0-0.8.rc1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.